Add Companies to Import Queue
curl --request POST \
--url https://api.bizzy.ai/v1/agents/import-queue/{sessionId}/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companies": [
{
"customer": "<string>",
"country": "<string>",
"name": "<string>",
"website": "<string>",
"vat": "<string>"
}
]
}
'import requests
url = "https://api.bizzy.ai/v1/agents/import-queue/{sessionId}/companies"
payload = { "companies": [
{
"customer": "<string>",
"country": "<string>",
"name": "<string>",
"website": "<string>",
"vat": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companies: [
{
customer: '<string>',
country: '<string>',
name: '<string>',
website: '<string>',
vat: '<string>'
}
]
})
};
fetch('https://api.bizzy.ai/v1/agents/import-queue/{sessionId}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"customer": "LEAD",
"country": "BE",
"name": "Example Company NV",
"website": "https://example.com",
"vat": "BE0123456789"
},
{
"customer": "CUSTOMER",
"name": "Another Company BV",
"country": "NL"
}
]
}
{
"success": true,
"added": 2
}
{
"error": "Session is not in pending state"
}
{
"error": "companies must be a non-empty array"
}
{
"error": "companies array cannot exceed 250 items"
}
Agent API
Add Companies to Import Queue
POST
/
v1
/
agents
/
import-queue
/
{sessionId}
/
companies
Add Companies to Import Queue
Add one or more companies to an existing import queue session. You can call this endpoint multiple times to add companies in batches.
Request
Path Parameters
string
required
The session ID returned from the start import queue endpoint
Body
array
required
Array of company objects to import. Must contain at least 1 and at most 250 companies.
Show Company properties
Show Company properties
Company Matching
To accurately match companies in Bizzy’s database, provide identifying information for each company: Preferred identifier:vat- The VAT number is the most reliable identifier as it’s unique per company and allows for a perfect 1-on-1 match
- If no VAT number is available, provide a combination of:
name- Company namecountry- Country codewebsite- Company website
For best results, always include the VAT number when available. When VAT is not available, provide as many identifying fields as possible (name, country, website) to improve matching accuracy.
Response
{
"companies": [
{
"customer": "LEAD",
"country": "BE",
"name": "Example Company NV",
"website": "https://example.com",
"vat": "BE0123456789"
},
{
"customer": "CUSTOMER",
"name": "Another Company BV",
"country": "NL"
}
]
}
{
"success": true,
"added": 2
}
{
"error": "Session is not in pending state"
}
{
"error": "companies must be a non-empty array"
}
{
"error": "companies array cannot exceed 250 items"
}
boolean
Whether the companies were successfully added to the queue
number
The number of companies added in this request
Notes
- The session must be in
PENDINGstatus to accept companies - You can call this endpoint multiple times to add companies in batches
- Each request can contain a maximum of 250 companies
- Companies are not processed until you complete the session
Was this page helpful?
⌘I